package com.dgtly.companyext.mapper;

import com.dgtly.companyext.domain.CompanyExtInfo;
import java.util.List;

/**
 * 商户扩展信息Mapper接口
 * 
 * @author dgtly
 * @date 2020-02-13
 */
public interface CompanyExtInfoMapper 
{
    /**
     * 查询商户扩展信息
     * 
     * @param id 商户扩展信息ID
     * @return 商户扩展信息
     */
    public CompanyExtInfo selectCompanyExtInfoById(Long id);

    /**
     * 查询商户扩展信息列表
     * 
     * @param companyExtInfo 商户扩展信息
     * @return 商户扩展信息集合
     */
    public List<CompanyExtInfo> selectCompanyExtInfoList(CompanyExtInfo companyExtInfo);

    /**
     * 新增商户扩展信息
     * 
     * @param companyExtInfo 商户扩展信息
     * @return 结果
     */
    public int insertCompanyExtInfo(CompanyExtInfo companyExtInfo);

    /**
     * 修改商户扩展信息
     * 
     * @param companyExtInfo 商户扩展信息
     * @return 结果
     */
    public int updateCompanyExtInfo(CompanyExtInfo companyExtInfo);

    /**
     * 删除商户扩展信息
     * 
     * @param id 商户扩展信息ID
     * @return 结果
     */
    public int deleteCompanyExtInfoById(Long id);

    /**
     * 批量删除商户扩展信息
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteCompanyExtInfoByIds(String[] ids);
}
